Subject: Re: [-next Sept 10] Build break - arch/s390/mm/pgtable.c (INIT_RCU_HEAD)

From: Sachin Sant <[email-masked]>
Date: Tue, 14 Sep 2010 13:43:51 +0530

Martin Schwidefsky wrote:
> On Fri, 10 Sep 2010 13:43:20 +0530
> Sachin Sant <[email-masked]> wrote:
>
>   
>> Today's next fails to build on a s390 box with
>>
>> arch/s390/mm/pgtable.c: In function 'rcu_table_freelist_finish':
>> arch/s390/mm/pgtable.c:79: error: implicit declaration of function 'INIT_RCU_HEAD'
>> make[2]: *** [arch/s390/mm/pgtable.o] Error 1
>>
>> This code in question was added via following commit:
>>
>> commit e726023d9ff7e4968e3e0622782174a4695d68a4
>> S390] lockless get_user_pages_fast()
>>     
>
> I guess that there is an #include <linux/rcupdate.h> missing in pgtable.c. I'll
> add it to the patch.
>   
I don't see definition for INIT_RCU_HEAD in rcupdate.h so adding rcupdate.h might
not help.

Infact i can't find usage/implementation of INIT_RCU_HEAD anywhere else in the code.
Is this macro deprecated ?

Thanks
-Sachin

-- 

---------------------------------
Sachin Sant
IBM Linux Technology Center
India Systems and Technology Labs
Bangalore, India
---------------------------------